# BEGIN SourceDeps(oneline):
BuildRequires: python-devel
# END SourceDeps(oneline)
Group: Graphical desktop/GNOME
Name:           mailnag
Version:        0.4.2
Release:        alt1_2
Summary:        Mail notification daemon for GNOME 3

License:        GPLv2
URL:            https://github.com/pulb/mailnag
Source0:        https://github.com/downloads/pulb/mailnag/mailnag-0.4.2.tar.gz
# submitted during review; will send it upstream soon
Patch0:         mailnag-imaplib2.patch

# python3 won't work (as of 0.4.2)
Requires:       python
Requires:       python-module-pygobject
Requires:       python-module-httplib2
Requires:       python-module-pygnome-gnome-keyring
Requires:       python-module-gst
Requires:       notify-python
Requires:       pyxdg

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
Source44: import.info

%description
Mailnag checks POP3 and IMAP servers for new mail and when it finds one 
creates a proper GNOME 3 notification that mentions sender and subject.


%prep
%setup -q -c %{name}-%{version}
%patch0 -b .patch0

# adjust for final locations
sed -i 's!./Mailnag!'%{_datadir}/%{name}'/Mailnag!g' mailnag mailnag_config
sed -i 's!./data!'%{_datadir}/%{name}'/!g' Mailnag/common/utils.py
sed -i 's!./locale!'%{_datadir}'/locale!g' Mailnag/common/i18n.py
sed -i 's!Exec=/usr/share/mailnag/mailnag_config!Exec='%{_bindir}'/mailnag_config!g' data/mailnag_config.desktop
sed -i 's!Icon=/usr/share/mailnag/mailnag.svg!Icon='%{_datadir}'/icons/hicolor/scalable/apps/mailnag.svg!g' data/mailnag_config.desktop
sed -i 's!mailnag.svg!'%{_datadir}'/icons/hicolor/scalable/apps/mailnag.svg!g' Mailnag/configuration/configwindow.py

# avoid rpmlint error wrong-script-end-of-line-encoding for these files
sed -i -e 's/\r//' Mailnag/{config,mailnag,configuration/accountdialog}.py

# sooner or later python3 might be the default in Fedora; be prepared
sed -i 's_#!.*/usr/bin/env.*python_#!%{_bindir}/env python2_' $(find . -name '*.py')

# we want these two files somewhere else later, so move them away
mkdir .tmp
mv data/{mailnag_config.desktop,mailnag.svg} .tmp


%build
./gen_locales


%install

# note to self: sit down on a rainy day and write a proper makefile to submit it upstream
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 -d %{buildroot}%{_datadir}/%{name}
install -m 755 -d %{buildroot}%{_datadir}/applications
install -m 755 -d %{buildroot}%{_datadir}/icons/hicolor/scalable/apps

install -m 755 -t %{buildroot}%{_bindir} mailnag mailnag_config
install -m 644 -t %{buildroot}%{_datadir}/icons/hicolor/scalable/apps .tmp/mailnag.svg
cp -r locale %{buildroot}%{_datadir}
cp -r Mailnag %{buildroot}%{_datadir}/%{name}
cp -r data/* %{buildroot}%{_datadir}/%{name}

install -m 644 -t %{buildroot}%{_datadir}/applications .tmp/mailnag_config.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/mailnag_config.desktop

find %{buildroot}%{_datadir}/ -type f -exec chmod 644 {} \;
find %{buildroot}%{_datadir}/%{name} -type f -name "*.py" -exec chmod 755 {} \;

%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS LICENSE NEWS README.md 
%{_bindir}/%{name}*
%{_datadir}/%{name}
%_iconsdir/*/*/*/*
%{_datadir}/applications/*


%changelog
* Thu Aug 16 2012 Igor Vlasenko <viy@altlinux.ru> 0.4.2-alt1_2
- new version

